/**
 * 控制器基类
 *
 * @author CaiAoLin
 * @date 2017/6/29
 * @version
 */
class BaseController {

    /**
     * 页面title
     *
     * @var string
     */
    title = '';

    /**
     * 构造函数
     *
     * @return {void}
     */
    constructor() {
        if (new.target === BaseController) {
            throw new Error('BaseController不能实例化,只能继承使用。');
        }
    }

    /**
     * 初始化函数
     *
     * @param {object} request
     * @param {object} response
     * @param {function} next
     * @return {void}
     */
    init(request, response, next) {
        // 页面标题
        response.locals.title = 'test';

        next();
    }
}

export default BaseController;